<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.person.mapper.ServerUserBakMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="serverUserResultMap" type="org.springblade.person.entity.ServerUserBak">
        <result column="id" property="id"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="create_time" property="createTime"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="name" property="name"/>
        <result column="sex" property="sex"/>
        <result column="region_province" property="regionProvince"/>
        <result column="region_city" property="regionCity"/>
        <result column="region_area" property="regionArea"/>
        <result column="birth_place" property="birthPlace"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="type" property="type"/>
        <result column="tel" property="tel"/>
        <result column="id_card" property="idCard"/>
        <result column="remark" property="remark"/>
        <result column="is_enable" property="isEnable"/>
        <result column="org_position" property="orgPosition"/>
        <result column="face_enable" property="faceEnable"/>
        <result column="unit_names" property="unitNames"/>
        <result column="unit_ids" property="unitIds"/>
        <result column="image_uri" property="imageUri"/>
        <result column="image_md5" property="imageMd5"/>
        <result column="begin_date" property="beginDate"/>
        <result column="end_date" property="endDate"/>
    </resultMap>


    <select id="selectServerUserPage" resultMap="serverUserResultMap">
        select * from personnel_server_user where is_deleted = 0
    </select>

</mapper>
